-- vim: ts=2 sw=2 ai et enc=utf8 fenc=utf8
RaidChecklist = {}

local locale = GetLocale ()

-- This table contains the localized pet families. These MUST BE localized, or the pets won't get mapped to their de(buffs).
-- There's no way to get hold of an un-localized pet family name it seems :-/
RaidChecklistPetFamilies = {}
local P = RaidChecklistPetFamilies


-- Master string table, to be filled in by each locale as/if needed.
-- If not filled in, the key will be used as the value.
RaidChecklistStrings = setmetatable ({},
  { __index = function (self, key)
      rawset (self, key, key)
      return key
    end
  }
)
local L = RaidChecklistStrings


-- We load the enUS strings as defaults, so if a locale doesn't override it, the enUS version gets used
P["ABYSSAL"] = "Abyssal"
P["BASILISK"] = "Basilisk"
P["BAT"] = "Bat"
P["BEAR"] = "Bear"
P["BEETLE"] = "Beetle"
P["BIRDOFPREY"] = "Bird of Prey"
P["BOAR"] = "Boar"
P["CARRIONBIRD"] = "Carrion Bird"
P["CAT"] = "Cat"
P["CHIMAERA"] = "Chimaera"
P["COREHOUND"] = "Core Hound"
P["CRAB"] = "Crab"
P["CROCOLISK"] = "Crocolisk"
P["DEVILSAUR"] = "Devilsaur"
P["DOG"] = "Dog"
P["DOOMGUARD"] = "Doomguard"
P["DRAGONHAWK"] = "Dragonhawk"
P["EARTHELEMENTAL"] = "Earth Elemental"
P["FELGUARD"] = "Felguard"
P["FELHUNTER"] = "Felhunter"
P["FELIMP"] = "Fel Imp"
P["FIREELEMENTAL"] = "Fire Elemental"
P["FOX"] = "Fox"
P["GEIST"] = "Geist"
P["GHOUL"] = "Ghoul"
P["GOAT"] = "Goat"
P["GORILLA"] = "Gorilla"
P["HYDRA"] = "Hydra"
P["HYENA"] = "Hyena"
P["IMP"] = "Imp"
P["MONKEY"] = "Monkey"
P["MOTH"] = "Moth"
P["NETHERRAY"] = "Nether Ray"
P["OBSERVER"] = "Observer"
P["QUILEN"] = "Quilen"
P["RAPTOR"] = "Raptor"
P["RAVAGER"] = "Ravager"
P["RHINO"] = "Rhino"
P["SCORPID"] = "Scorpid"
P["SERPENT"] = "Serpent"
P["SHALESPIDER"] = "Shale Spider"
P["SHIVARRA"] = "Shivarra"
P["SILITHID"] = "Silithid"
P["SPIDER"] = "Spider"
P["SPIRITBEAST"] = "Spirit Beast"
P["SPOREBAT"] = "Sporebat"
P["SUCCUBUS"] = "Succubus"
P["SupportedLocale"] = "SupportedLocale"
P["TALLSTRIDER"] = "Tallstrider"
P["TERRORGUARD"] = "Terrorguard"
P["TURTLE"] = "Turtle"
P["VOIDLORD"] = "Voidlord"
P["VOIDWALKER"] = "Voidwalker"
P["WARPSTALKER"] = "Warp Stalker"
P["WASP"] = "Wasp"
P["WATERELEMENTAL"] = "Water Elemental"
P["WATERSTRIDER"] = "Water Strider"
P["WINDSERPENT"] = "Wind Serpent"
P["WOLF"] = "Wolf"
P["WORM"] = "Worm"
P["WRATHGUARD"] = "Wrathguard"

--@localization(locale="enUS", format="lua_additive_table", table-name="L", namespace="" handle-subnamespace="none")@

if locale == "deDE" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
P["BAT"] = "Fledermaus"
P["BEAR"] = "Bär"
P["BEETLE"] = "Käfer"
P["BIRDOFPREY"] = "Raubvogel"
P["BOAR"] = "Eber"
P["CARRIONBIRD"] = "Aasvogel"
P["CAT"] = "Katze"
P["CHIMAERA"] = "Schimäre"
P["COREHOUND"] = "Kernhund"
P["CRAB"] = "Krebs"
P["CROCOLISK"] = "Krokilisk"
P["DEVILSAUR"] = "Teufelssaurier"
P["DOG"] = "Hund"
P["DOOMGUARD"] = "Verdammniswache"
P["DRAGONHAWK"] = "Drachenfalke"
-- P["EARTHELEMENTAL"] = ""
P["FELGUARD"] = "Teufelswache"
P["FELHUNTER"] = "Teufelsjäger"
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
P["FOX"] = "Fuchs"
-- P["GEIST"] = ""
P["GHOUL"] = "Ghul"
-- P["GOAT"] = ""
P["GORILLA"] = "Gorilla"
P["HYDRA"] = "Hydra"
P["HYENA"] = "Hyäne"
P["IMP"] = "Wichtel"
P["MONKEY"] = "Affe"
P["MOTH"] = "Motte"
P["NETHERRAY"] = "Netherrochen"
-- P["OBSERVER"] = ""
-- P["QUILEN"] = ""
P["RAPTOR"] = "Raptor"
P["RAVAGER"] = "Felshetzer"
P["RHINO"] = "Rhinozeros"
P["SCORPID"] = "Skorpid"
P["SERPENT"] = "Schlange"
P["SHALESPIDER"] = "Schieferspinne"
-- P["SHIVARRA"] = ""
P["SILITHID"] = "Silithid"
P["SPIDER"] = "Spinne"
P["SPIRITBEAST"] = "Geisterbestie"
P["SPOREBAT"] = "Sporensegler"
P["SUCCUBUS"] = "Sukkubus"
-- P["SupportedLocale"] = ""
P["TALLSTRIDER"] = "Weitschreiter"
-- P["TERRORGUARD"] = ""
P["TURTLE"] = "Schildkröte"
-- P["VOIDLORD"] = ""
P["VOIDWALKER"] = "Leerwandler"
P["WARPSTALKER"] = "Sphärenjäger"
P["WASP"] = "Wespe"
P["WATERELEMENTAL"] = "Wasserelementar"
-- P["WATERSTRIDER"] = ""
P["WINDSERPENT"] = "Windnatter"
P["WOLF"] = "Wolf"
P["WORM"] = "Wurm"
-- P["WRATHGUARD"] = ""

--@localization(locale="deDE", format="lua_additive_table", table-name="L", namespace="" handle-subnamespaces="none")@
elseif locale == "esES" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
-- P["BAT"] = ""
-- P["BEAR"] = ""
-- P["BEETLE"] = ""
-- P["BIRDOFPREY"] = ""
-- P["BOAR"] = ""
-- P["CARRIONBIRD"] = ""
-- P["CAT"] = ""
-- P["CHIMAERA"] = ""
-- P["COREHOUND"] = ""
-- P["CRAB"] = ""
-- P["CROCOLISK"] = ""
-- P["DEVILSAUR"] = ""
-- P["DOG"] = ""
-- P["DOOMGUARD"] = ""
-- P["DRAGONHAWK"] = ""
-- P["EARTHELEMENTAL"] = ""
-- P["FELGUARD"] = ""
-- P["FELHUNTER"] = ""
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
-- P["FOX"] = ""
-- P["GEIST"] = ""
-- P["GHOUL"] = ""
-- P["GOAT"] = ""
-- P["GORILLA"] = ""
-- P["HYDRA"] = ""
-- P["HYENA"] = ""
-- P["IMP"] = ""
-- P["MONKEY"] = ""
-- P["MOTH"] = ""
-- P["NETHERRAY"] = ""
-- P["OBSERVER"] = ""
-- P["QUILEN"] = ""
-- P["RAPTOR"] = ""
-- P["RAVAGER"] = ""
-- P["RHINO"] = ""
-- P["SCORPID"] = ""
-- P["SERPENT"] = ""
-- P["SHALESPIDER"] = ""
-- P["SHIVARRA"] = ""
-- P["SILITHID"] = ""
-- P["SPIDER"] = ""
-- P["SPIRITBEAST"] = ""
-- P["SPOREBAT"] = ""
-- P["SUCCUBUS"] = ""
-- P["SupportedLocale"] = ""
-- P["TALLSTRIDER"] = ""
-- P["TERRORGUARD"] = ""
-- P["TURTLE"] = ""
-- P["VOIDLORD"] = ""
-- P["VOIDWALKER"] = ""
-- P["WARPSTALKER"] = ""
-- P["WASP"] = ""
-- P["WATERELEMENTAL"] = ""
-- P["WATERSTRIDER"] = ""
-- P["WINDSERPENT"] = ""
-- P["WOLF"] = ""
-- P["WORM"] = ""
-- P["WRATHGUARD"] = ""

--@localization(locale="esES", format="lua_additive_table", table-name="L", namespace="" handle-subnamespaces="none")@
elseif locale == "esMX" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
-- P["BAT"] = ""
-- P["BEAR"] = ""
-- P["BEETLE"] = ""
-- P["BIRDOFPREY"] = ""
-- P["BOAR"] = ""
-- P["CARRIONBIRD"] = ""
-- P["CAT"] = ""
-- P["CHIMAERA"] = ""
-- P["COREHOUND"] = ""
-- P["CRAB"] = ""
-- P["CROCOLISK"] = ""
-- P["DEVILSAUR"] = ""
-- P["DOG"] = ""
-- P["DOOMGUARD"] = ""
-- P["DRAGONHAWK"] = ""
-- P["EARTHELEMENTAL"] = ""
-- P["FELGUARD"] = ""
-- P["FELHUNTER"] = ""
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
-- P["FOX"] = ""
-- P["GEIST"] = ""
-- P["GHOUL"] = ""
-- P["GOAT"] = ""
-- P["GORILLA"] = ""
-- P["HYDRA"] = ""
-- P["HYENA"] = ""
-- P["IMP"] = ""
-- P["MONKEY"] = ""
-- P["MOTH"] = ""
-- P["NETHERRAY"] = ""
-- P["OBSERVER"] = ""
-- P["QUILEN"] = ""
-- P["RAPTOR"] = ""
-- P["RAVAGER"] = ""
-- P["RHINO"] = ""
-- P["SCORPID"] = ""
-- P["SERPENT"] = ""
-- P["SHALESPIDER"] = ""
-- P["SHIVARRA"] = ""
-- P["SILITHID"] = ""
-- P["SPIDER"] = ""
-- P["SPIRITBEAST"] = ""
-- P["SPOREBAT"] = ""
-- P["SUCCUBUS"] = ""
-- P["SupportedLocale"] = ""
-- P["TALLSTRIDER"] = ""
-- P["TERRORGUARD"] = ""
-- P["TURTLE"] = ""
-- P["VOIDLORD"] = ""
-- P["VOIDWALKER"] = ""
-- P["WARPSTALKER"] = ""
-- P["WASP"] = ""
-- P["WATERELEMENTAL"] = ""
-- P["WATERSTRIDER"] = ""
-- P["WINDSERPENT"] = ""
-- P["WOLF"] = ""
-- P["WORM"] = ""
-- P["WRATHGUARD"] = ""

--@localization(locale="esMX", format="lua_additive_table", table-name="L", namespace="" handle-subnamespaces="none")@
elseif locale == "frFR" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
P["BAT"] = "Chauve-souris"
P["BEAR"] = "Ours"
P["BEETLE"] = "Scarabée"
P["BIRDOFPREY"] = "Oiseau de proie"
P["BOAR"] = "Sanglier"
P["CARRIONBIRD"] = "Charognard"
P["CAT"] = "Félin"
P["CHIMAERA"] = "Chimère"
P["COREHOUND"] = "Chien du Magma"
P["CRAB"] = "Crabe"
P["CROCOLISK"] = "Crocilisque"
P["DEVILSAUR"] = "Diablosaure"
P["DOG"] = "Chien"
P["DOOMGUARD"] = "Garde funeste"
P["DRAGONHAWK"] = "Faucon-dragon"
-- P["EARTHELEMENTAL"] = ""
P["FELGUARD"] = "Gangregarde"
P["FELHUNTER"] = "Chasseur corrompu"
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
P["FOX"] = "Renard"
-- P["GEIST"] = ""
P["GHOUL"] = "Goule"
-- P["GOAT"] = ""
P["GORILLA"] = "Gorille"
P["HYDRA"] = "Hydre"
P["HYENA"] = "Hyène"
P["IMP"] = "Diablotin"
P["MONKEY"] = "Singe"
P["MOTH"] = "Papillon"
P["NETHERRAY"] = "Raie du Néant"
-- P["OBSERVER"] = ""
-- P["QUILEN"] = ""
P["RAPTOR"] = "Raptor"
P["RAVAGER"] = "Ravageur"
P["RHINO"] = "Rhinocéros"
P["SCORPID"] = "Scorpide"
P["SERPENT"] = "Serpent"
P["SHALESPIDER"] = "Araignée de Schiste"
-- P["SHIVARRA"] = ""
P["SILITHID"] = "Silithide"
P["SPIDER"] = "Araignée"
P["SPIRITBEAST"] = "Esprit de bête"
P["SPOREBAT"] = "Sporoptère"
P["SUCCUBUS"] = "Succube"
-- P["SupportedLocale"] = ""
P["TALLSTRIDER"] = "Haut-trotteur"
-- P["TERRORGUARD"] = ""
P["TURTLE"] = "Tortue"
-- P["VOIDLORD"] = ""
P["VOIDWALKER"] = "Marcheur du Vide"
P["WARPSTALKER"] = "Traqueur dim."
P["WASP"] = "Guêpe"
P["WATERELEMENTAL"] = "Élémentaire d'eau"
-- P["WATERSTRIDER"] = ""
P["WINDSERPENT"] = "Serpent des vents"
P["WOLF"] = "Loup"
P["WORM"] = "Ver"
-- P["WRATHGUARD"] = ""

--@localization(locale="frFR", format="lua_additive_table", table-name="L", namespace="" handle-subnamespaces="none")@
elseif locale == "itIT" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
-- P["BAT"] = ""
-- P["BEAR"] = ""
-- P["BEETLE"] = ""
-- P["BIRDOFPREY"] = ""
-- P["BOAR"] = ""
-- P["CARRIONBIRD"] = ""
-- P["CAT"] = ""
-- P["CHIMAERA"] = ""
-- P["COREHOUND"] = ""
-- P["CRAB"] = ""
-- P["CROCOLISK"] = ""
-- P["DEVILSAUR"] = ""
-- P["DOG"] = ""
-- P["DOOMGUARD"] = ""
-- P["DRAGONHAWK"] = ""
-- P["EARTHELEMENTAL"] = ""
-- P["FELGUARD"] = ""
-- P["FELHUNTER"] = ""
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
-- P["FOX"] = ""
-- P["GEIST"] = ""
-- P["GHOUL"] = ""
-- P["GOAT"] = ""
-- P["GORILLA"] = ""
-- P["HYDRA"] = ""
-- P["HYENA"] = ""
-- P["IMP"] = ""
-- P["MONKEY"] = ""
-- P["MOTH"] = ""
-- P["NETHERRAY"] = ""
-- P["OBSERVER"] = ""
-- P["QUILEN"] = ""
-- P["RAPTOR"] = ""
-- P["RAVAGER"] = ""
-- P["RHINO"] = ""
-- P["SCORPID"] = ""
-- P["SERPENT"] = ""
-- P["SHALESPIDER"] = ""
-- P["SHIVARRA"] = ""
-- P["SILITHID"] = ""
-- P["SPIDER"] = ""
-- P["SPIRITBEAST"] = ""
-- P["SPOREBAT"] = ""
-- P["SUCCUBUS"] = ""
-- P["SupportedLocale"] = ""
-- P["TALLSTRIDER"] = ""
-- P["TERRORGUARD"] = ""
-- P["TURTLE"] = ""
-- P["VOIDLORD"] = ""
-- P["VOIDWALKER"] = ""
-- P["WARPSTALKER"] = ""
-- P["WASP"] = ""
-- P["WATERELEMENTAL"] = ""
-- P["WATERSTRIDER"] = ""
-- P["WINDSERPENT"] = ""
-- P["WOLF"] = ""
-- P["WORM"] = ""
-- P["WRATHGUARD"] = ""

--@localization(locale="itIT", format="lua_additive_table", table-name="L", namespace="" handle-subnamespaces="none")@
elseif locale == "koKR" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
P["BAT"] = "박쥐"
P["BEAR"] = "곰"
P["BEETLE"] = "딱정벌레"
P["BIRDOFPREY"] = "맹금"
P["BOAR"] = "멧돼지"
P["CARRIONBIRD"] = "독수리"
P["CAT"] = "살쾡이"
P["CHIMAERA"] = "키메라"
P["COREHOUND"] = "심장부 사냥개"
P["CRAB"] = "게"
P["CROCOLISK"] = "악어"
P["DEVILSAUR"] = "데빌사우루스"
P["DOG"] = "개"
P["DOOMGUARD"] = "파멸의 수호병"
P["DRAGONHAWK"] = "용매"
-- P["EARTHELEMENTAL"] = ""
P["FELGUARD"] = "지옥수호병"
P["FELHUNTER"] = "지옥사냥개"
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
P["FOX"] = "여우"
-- P["GEIST"] = ""
P["GHOUL"] = "구울"
-- P["GOAT"] = ""
P["GORILLA"] = "고릴라"
P["HYDRA"] = "히드라"
P["HYENA"] = "하이에나"
P["IMP"] = "임프"
P["MONKEY"] = "원숭이"
P["MOTH"] = "나방"
P["NETHERRAY"] = "황천의 가오리"
-- P["OBSERVER"] = ""
-- P["QUILEN"] = ""
P["RAPTOR"] = "랩터"
P["RAVAGER"] = "칼날발톱"
P["RHINO"] = "코뿔소"
P["SCORPID"] = "전갈"
P["SERPENT"] = "살무사"
P["SHALESPIDER"] = "혈암거미"
-- P["SHIVARRA"] = ""
P["SILITHID"] = "실리시드"
P["SPIDER"] = "거미"
P["SPIRITBEAST"] = "야수 정령"
P["SPOREBAT"] = "포자날개"
P["SUCCUBUS"] = "서큐버스"
-- P["SupportedLocale"] = ""
P["TALLSTRIDER"] = "타조"
-- P["TERRORGUARD"] = ""
P["TURTLE"] = "거북"
-- P["VOIDLORD"] = ""
P["VOIDWALKER"] = "보이드워커"
P["WARPSTALKER"] = "차원의 추적자"
P["WASP"] = "말벌"
P["WATERELEMENTAL"] = "물의 정령"
-- P["WATERSTRIDER"] = ""
P["WINDSERPENT"] = "천둥매"
P["WOLF"] = "늑대"
P["WORM"] = "벌레"
-- P["WRATHGUARD"] = ""

--@localization(locale="koKR", format="lua_additive_table", table-name="L", namespace="" handle-subnamespaces="none")@
elseif locale == "ptBR" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
-- P["BAT"] = ""
-- P["BEAR"] = ""
-- P["BEETLE"] = ""
-- P["BIRDOFPREY"] = ""
-- P["BOAR"] = ""
-- P["CARRIONBIRD"] = ""
-- P["CAT"] = ""
-- P["CHIMAERA"] = ""
-- P["COREHOUND"] = ""
-- P["CRAB"] = ""
-- P["CROCOLISK"] = ""
-- P["DEVILSAUR"] = ""
-- P["DOG"] = ""
-- P["DOOMGUARD"] = ""
-- P["DRAGONHAWK"] = ""
-- P["EARTHELEMENTAL"] = ""
-- P["FELGUARD"] = ""
-- P["FELHUNTER"] = ""
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
-- P["FOX"] = ""
-- P["GEIST"] = ""
-- P["GHOUL"] = ""
-- P["GOAT"] = ""
-- P["GORILLA"] = ""
-- P["HYDRA"] = ""
-- P["HYENA"] = ""
-- P["IMP"] = ""
-- P["MONKEY"] = ""
-- P["MOTH"] = ""
-- P["NETHERRAY"] = ""
-- P["OBSERVER"] = ""
-- P["QUILEN"] = ""
-- P["RAPTOR"] = ""
-- P["RAVAGER"] = ""
-- P["RHINO"] = ""
-- P["SCORPID"] = ""
-- P["SERPENT"] = ""
-- P["SHALESPIDER"] = ""
-- P["SHIVARRA"] = ""
-- P["SILITHID"] = ""
-- P["SPIDER"] = ""
-- P["SPIRITBEAST"] = ""
-- P["SPOREBAT"] = ""
-- P["SUCCUBUS"] = ""
-- P["SupportedLocale"] = ""
-- P["TALLSTRIDER"] = ""
-- P["TERRORGUARD"] = ""
-- P["TURTLE"] = ""
-- P["VOIDLORD"] = ""
-- P["VOIDWALKER"] = ""
-- P["WARPSTALKER"] = ""
-- P["WASP"] = ""
-- P["WATERELEMENTAL"] = ""
-- P["WATERSTRIDER"] = ""
-- P["WINDSERPENT"] = ""
-- P["WOLF"] = ""
-- P["WORM"] = ""
-- P["WRATHGUARD"] = ""

--@localization(locale="ptBR", format="lua_additive_table", table-name="L", namespace="" handle-subnamespaces="none")@
elseif locale == "ruRU" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
P["BAT"] = "Летучая мышь"
P["BEAR"] = "Медведь"
P["BEETLE"] = "Жук"
P["BIRDOFPREY"] = "Сова"
P["BOAR"] = "Вепрь"
P["CARRIONBIRD"] = "Падальщик"
P["CAT"] = "Кошка"
P["CHIMAERA"] = "Химера"
P["COREHOUND"] = "Гончая Недр"
P["CRAB"] = "Краб"
P["CROCOLISK"] = "Кроколиск"
P["DEVILSAUR"] = "Дьявозавр"
P["DOG"] = "Собака"
P["DOOMGUARD"] = "Стражник ужаса"
P["DRAGONHAWK"] = "Дракондор"
-- P["EARTHELEMENTAL"] = ""
P["FELGUARD"] = "Страж Скверны"
P["FELHUNTER"] = "Охотник Скверны"
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
P["FOX"] = "Лисица"
-- P["GEIST"] = ""
P["GHOUL"] = "Вурдалак"
-- P["GOAT"] = ""
P["GORILLA"] = "Горилла"
P["HYDRA"] = "Гидра"
P["HYENA"] = "Гиена"
P["IMP"] = "Бес"
P["MONKEY"] = "Обезьяна"
P["MOTH"] = "Мотылек"
P["NETHERRAY"] = "Скат Пустоты"
-- P["OBSERVER"] = ""
-- P["QUILEN"] = ""
P["RAPTOR"] = "Ящер"
P["RAVAGER"] = "Опустошитель"
P["RHINO"] = "Люторог"
P["SCORPID"] = "Скорпид"
P["SERPENT"] = "Змей"
P["SHALESPIDER"] = "Сланцевый паук"
-- P["SHIVARRA"] = ""
P["SILITHID"] = "Силитид"
P["SPIDER"] = "Паук"
P["SPIRITBEAST"] = "Дух зверя"
P["SPOREBAT"] = "Спороскат"
P["SUCCUBUS"] = "Суккуб"
-- P["SupportedLocale"] = ""
P["TALLSTRIDER"] = "Долгоног"
-- P["TERRORGUARD"] = ""
P["TURTLE"] = "Черепаха"
-- P["VOIDLORD"] = ""
P["VOIDWALKER"] = "Демон Бездны"
P["WARPSTALKER"] = "Прыгуана"
P["WASP"] = "Оса"
P["WATERELEMENTAL"] = "Элементаль воды"
-- P["WATERSTRIDER"] = ""
P["WINDSERPENT"] = "Крылатый змей"
P["WOLF"] = "Волк"
P["WORM"] = "Червь"
-- P["WRATHGUARD"] = ""

--@localization(locale="ruRU", format="lua_additive_table", table-name="L", namespace="" handle-subnamespaces="none")@
elseif locale == "zhCN" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
-- P["BAT"] = ""
-- P["BEAR"] = ""
-- P["BEETLE"] = ""
-- P["BIRDOFPREY"] = ""
-- P["BOAR"] = ""
-- P["CARRIONBIRD"] = ""
-- P["CAT"] = ""
-- P["CHIMAERA"] = ""
-- P["COREHOUND"] = ""
-- P["CRAB"] = ""
-- P["CROCOLISK"] = ""
-- P["DEVILSAUR"] = ""
-- P["DOG"] = ""
-- P["DOOMGUARD"] = ""
-- P["DRAGONHAWK"] = ""
-- P["EARTHELEMENTAL"] = ""
-- P["FELGUARD"] = ""
-- P["FELHUNTER"] = ""
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
-- P["FOX"] = ""
-- P["GEIST"] = ""
-- P["GHOUL"] = ""
-- P["GOAT"] = ""
-- P["GORILLA"] = ""
-- P["HYDRA"] = ""
-- P["HYENA"] = ""
-- P["IMP"] = ""
-- P["MONKEY"] = ""
-- P["MOTH"] = ""
-- P["NETHERRAY"] = ""
-- P["OBSERVER"] = ""
-- P["QUILEN"] = ""
-- P["RAPTOR"] = ""
-- P["RAVAGER"] = ""
-- P["RHINO"] = ""
-- P["SCORPID"] = ""
-- P["SERPENT"] = ""
-- P["SHALESPIDER"] = ""
-- P["SHIVARRA"] = ""
-- P["SILITHID"] = ""
-- P["SPIDER"] = ""
-- P["SPIRITBEAST"] = ""
-- P["SPOREBAT"] = ""
-- P["SUCCUBUS"] = ""
-- P["SupportedLocale"] = ""
-- P["TALLSTRIDER"] = ""
-- P["TERRORGUARD"] = ""
-- P["TURTLE"] = ""
-- P["VOIDLORD"] = ""
-- P["VOIDWALKER"] = ""
-- P["WARPSTALKER"] = ""
-- P["WASP"] = ""
-- P["WATERELEMENTAL"] = ""
-- P["WATERSTRIDER"] = ""
-- P["WINDSERPENT"] = ""
-- P["WOLF"] = ""
-- P["WORM"] = ""
-- P["WRATHGUARD"] = ""

--@localization(locale="zhCN", format="lua_additive_table", table-name="L", namespace="" handle-subnamespaces="none")@
elseif locale == "zhTW" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
P["BAT"] = "蝙蝠"
P["BEAR"] = "熊"
P["BEETLE"] = "甲蟲"
P["BIRDOFPREY"] = "猛禽"
P["BOAR"] = "野豬"
P["CARRIONBIRD"] = "食腐鳥"
P["CAT"] = "豹"
P["CHIMAERA"] = "奇美拉"
P["COREHOUND"] = "熔核犬"
P["CRAB"] = "螃蟹"
P["CROCOLISK"] = "鱷魚"
P["DEVILSAUR"] = "魔暴龍"
P["DOG"] = "狗"
P["DOOMGUARD"] = "末日守衛"
P["DRAGONHAWK"] = "龍鷹"
-- P["EARTHELEMENTAL"] = ""
P["FELGUARD"] = "惡魔守衛"
P["FELHUNTER"] = "惡魔獵犬"
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
P["FOX"] = "狐狸"
-- P["GEIST"] = ""
P["GHOUL"] = "食屍鬼"
-- P["GOAT"] = ""
P["GORILLA"] = "猩猩"
-- P["HYDRA"] = ""
P["HYENA"] = "土狼"
P["IMP"] = "小鬼"
P["MONKEY"] = "猴子"
P["MOTH"] = "蛾"
P["NETHERRAY"] = "虛空鰭刺"
-- P["OBSERVER"] = ""
-- P["QUILEN"] = ""
P["RAPTOR"] = "迅猛龍"
P["RAVAGER"] = "劫毀者"
P["RHINO"] = "犀牛"
P["SCORPID"] = "蠍子"
P["SERPENT"] = "毒蛇"
P["SHALESPIDER"] = "岩蛛"
-- P["SHIVARRA"] = ""
P["SILITHID"] = "異種蟲"
P["SPIDER"] = "蜘蛛"
P["SPIRITBEAST"] = "靈獸"
P["SPOREBAT"] = "孢子蝙蝠"
P["SUCCUBUS"] = "魅魔"
-- P["SupportedLocale"] = ""
P["TALLSTRIDER"] = "陸行鳥"
-- P["TERRORGUARD"] = ""
P["TURTLE"] = "海龜"
-- P["VOIDLORD"] = ""
P["VOIDWALKER"] = "虛無行者"
P["WARPSTALKER"] = "扭曲巡者"
P["WASP"] = "黃蜂"
P["WATERELEMENTAL"] = "水元素"
-- P["WATERSTRIDER"] = ""
P["WINDSERPENT"] = "風蛇"
P["WOLF"] = "狼"
P["WORM"] = "蟲類"
-- P["WRATHGUARD"] = ""

--@localization(locale="zhTW", format="lua_additive_table", table-name="L", namespace="" handle-subnamespaces="none")@
end

-- Spec id -> localized name lookup
local spec2name = {}
for i=1,500 do
  id, name = GetSpecializationInfoByID(i)
  if id then
    spec2name[id] = name
  end
end

function RCSpecName (gid)
  local name = spec2name[gid]
  if name then
    name = "("..name..")"
  end
  return name
end


-- Colorized class names
local classes = {}
FillLocalizedClassList (classes)
L.HUNTER      = ClassColorString ("HUNTER")     .. classes.HUNTER
L.WARRIOR     = ClassColorString ("WARRIOR")    .. classes.WARRIOR
L.DEATHKNIGHT = ClassColorString ("DEATHKNIGHT").. classes.DEATHKNIGHT
L.PRIEST      = ClassColorString ("PRIEST")     .. classes.PRIEST
L.SHAMAN      = ClassColorString ("SHAMAN")     .. classes.SHAMAN
L.PALADIN     = ClassColorString ("PALADIN")    .. classes.PALADIN
L.DRUID       = ClassColorString ("DRUID")      .. classes.DRUID
L.WARLOCK     = ClassColorString ("WARLOCK")    .. classes.WARLOCK
L.ROGUE       = ClassColorString ("ROGUE")      .. classes.ROGUE
L.MAGE        = ClassColorString ("MAGE")       .. classes.MAGE
L.MONK        = ClassColorString ("MONK")       .. classes.MONK
L[UNKNOWN]    = ClassColorString (UNKNOWN)      .. UNKNOWN

-- Specializations, now automatically looked up - yay!
L.AFFLICTION    = RCSpecName (265)
L.ARCANE        = RCSpecName ( 62)
L.ARMS          = RCSpecName ( 71)
L.ASSASSINATION = RCSpecName (259)
L.BALANCE       = RCSpecName (102)
L.BEASTMASTER   = RCSpecName (253)
L.BLOOD         = RCSpecName (250)
L.BREWMASTER    = RCSpecName (268)
L.COMBAT        = RCSpecName (260)
L.DEMONOLOGY    = RCSpecName (266)
L.DESTRUCTION   = RCSpecName (267)
L.DISCIPLINE    = RCSpecName (256)
L.ELEMENTAL     = RCSpecName (262)
L.ENHANCEMENT   = RCSpecName (263)
L.FERAL         = RCSpecName (103)
L.FIRE          = RCSpecName ( 63)
L.FROSTMAGE     = RCSpecName ( 64)
L.FROSTDK       = RCSpecName (251)
L.FURY          = RCSpecName ( 72)
L.GUARDIAN      = RCSpecName (104)
L.HOLYPALADIN   = RCSpecName ( 65)
L.HOLYPRIEST    = RCSpecName (257)
L.MARKSMAN      = RCSpecName (254)
L.MISTWEAVER    = RCSpecName (270)
L.PROTPALADIN   = RCSpecName ( 66)
L.PROTWARRIOR   = RCSpecName ( 73)
L.RESTODRUID    = RCSpecName (264)
L.RESTOSHAMAN   = RCSpecName (105)
L.RETRIBUTION   = RCSpecName ( 70)
L.SHADOW        = RCSpecName (258)
L.SUBTLETY      = RCSpecName (261)
L.SURVIVAL      = RCSpecName (255)
L.UNHOLY        = RCSpecName (252)
L.WINDWALKER    = RCSpecName (269)
-- Ferocity = 74
-- Cunning = 79
-- Tenacity = 81

-- Buffs & debuff names, reusing the official Blizzard categories
L.CRIT            = RAID_BUFF_7
L.ATTACKPWR       = RAID_BUFF_3
L.SPELLPWR        = RAID_BUFF_5
L.PHYSHASTE       = RAID_BUFF_4
L.SPELLHASTE      = RAID_BUFF_6
L.STATS           = RAID_BUFF_1
L.STAM            = RAID_BUFF_2
L.MASTERY         = RAID_BUFF_8

-- Cardinality
L[0]              = "" -- Don't show a number for missing abilities
L[1]              = "" -- If there's only one, we don't really need to show a number for it (in fact it looks silly when soloing)
L[2]              = "(2)"
L[3]              = "(3)"
L[4]              = "(4)"
L[5]              = "(5)"
L[6]              = "(6)"
L[7]              = "(7)"
L[8]              = "(8)"
L[9]              = "(9)"
L.MANY            = "(*)" -- Life is easier if we can keep things the same width (single digits). Of course, this might be a very western notion... feel free to educate me!

